CATKIN_LINT(1)

NAME
catkin_lint - check catkin packages for common errors

DESCRIPTION
usage: catkin_lint [-h] [--version] [-q] [-W LEVEL] [--ignore ID] [--error ID]

    [--warning ID] [--notice ID] [--strict] [--show-ignored] [--pkg PKG] [--skip-pkg PKG] [--skip-path PATH] [--package-path PATH] [--rosdistro DISTRO] [--resolve-env] [--text | --explain | --xml | --json] [--color MODE] [--offline] [--clear-cache] [PATH [PATH ...]]

  positional arguments:

PATH
    path to catkin packages

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-q, --quiet
    suppress final summary

-W LEVEL
    set warning level (0-2)

--ignore ID
    ignore diagnostic message ID

--error ID
    treat diagnostic message ID as error

--warning ID
    treat diagnostic message ID as warning

--notice ID
    treat diagnostic message ID as notice

--strict
    treat everything reported as error

--show-ignored
    show messages even if they have been ignored explicitly

--pkg PKG
    specify catkin package by name (can be used multiple times)

--skip-pkg PKG
    skip testing a catkin package (can be used multiple times)

--skip-path PATH
    skip testing any package in a path that contains PATH (can be used multiple times)

--package-path PATH
    additional package path (separate multiple locations with ':')

--rosdistro DISTRO
    override ROS distribution (default: ROS_DISTRO environment variable)

--resolve-env
    resolve $ENV{} references from environment variables

--text
    output result as text (default)

--explain
    output result as text with explanations

--xml
    output result as XML

--json
    output result as JSON

--color MODE
    colorize text output

--offline
    do not download package index to look for packages

--clear-cache
    clear internal cache and invalidate all downloaded manifests